| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::face::FacemarkKazemi::Params Struct Reference

`#include "face_alignment.hpp"`

## Public Member Functions
| Params ()
| Constructor. More...

## Public Attributes
unsigned long | cascade_depth
| cascade_depth This stores the deapth of cascade used for training. More...
String | configfile
| configfile stores the name of the file containing the values of training parameters More...
float | lambda
| lambda stores a value to calculate probability of closeness of two coordinates. More...
float | learning_rate
| learning_rate stores the learning rate in gradient boosting, also reffered as shrinkage. More...
unsigned long | num_test_coordinates
| num_test_coordinates stores number of test coordinates. More...
unsigned long | num_test_splits
| num_test_splits stores number of random test splits generated. More...
unsigned long | num_trees_per_cascade_level
| num_trees_per_cascade_level This stores number of trees fit per cascade level. More...
unsigned long | oversampling_amount
| oversampling_amount stores number of initialisations used to create training samples. More...
unsigned long | tree_depth
| tree_depth This stores the max height of the regression tree built. More...

## Constructor & Destructor Documentation

## § Params()

cv::face::FacemarkKazemi::Params::Params | ( |  | ) |

Constructor.

## Member Data Documentation

## § cascade_depth

unsigned long cv::face::FacemarkKazemi::Params::cascade_depth

cascade_depth This stores the deapth of cascade used for training.

## § configfile

String cv::face::FacemarkKazemi::Params::configfile

configfile stores the name of the file containing the values of training parameters

## § lambda

float cv::face::FacemarkKazemi::Params::lambda

lambda stores a value to calculate probability of closeness of two coordinates.

## § learning_rate

float cv::face::FacemarkKazemi::Params::learning_rate

learning_rate stores the learning rate in gradient boosting, also reffered as shrinkage.

## § num_test_coordinates

unsigned long cv::face::FacemarkKazemi::Params::num_test_coordinates

num_test_coordinates stores number of test coordinates.

## § num_test_splits

unsigned long cv::face::FacemarkKazemi::Params::num_test_splits

num_test_splits stores number of random test splits generated.

## § num_trees_per_cascade_level

unsigned long cv::face::FacemarkKazemi::Params::num_trees_per_cascade_level

num_trees_per_cascade_level This stores number of trees fit per cascade level.

## § oversampling_amount

unsigned long cv::face::FacemarkKazemi::Params::oversampling_amount

oversampling_amount stores number of initialisations used to create training samples.

## § tree_depth

unsigned long cv::face::FacemarkKazemi::Params::tree_depth

tree_depth This stores the max height of the regression tree built.

The documentation for this struct was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/face/include/opencv2/face/face_alignment.hpp